Notify a change to a linked care context
Notify the Consent Management (CM) system about any updates HiTypes of the already linked care context for a patient.
By invoking this API, Health Information Providers (HIPs) can inform the CM system of changes or updates to the patient’s care context, ensuring that the most current and accurate health information is maintained. This process is crucial for the integrity and synchronization of patient health records across the network, supporting seamless and efficient health information exchange. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Identifier of the health information provider to which the request was intended The abha address of the patient A care context - one episode or record grouping at the HIP. "A patient identifier with which patient is registered in the facility/hospital" An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data) Type of health data that created in the care context This should be a UTC Date & Time in ISO format The HIP that linked the care context. Only id is required. The service ID of the health information provider Bad Request The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare ( Unauthorized 900902 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. server cannot find the requested resource The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error ABDM-9999 - Unknown exception. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-HIP-IDstringRequiredBody
notificationobjectRequirednotification.patientobjectRequirednotification.patient.idstringRequirednotification.careContextobjectRequirednotification.careContext.patientReferencestringRequirednotification.careContext.careContextReferencestringRequirednotification.hiTypesstring[]Requirednotification.datestringRequirednotification.hipobjectRequirednotification.hip.idstringRequiredResponses
400errorobjecterror.codestringRequiredABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.messagestring
Callbacks
- After this call, ABDM posts This API endpoint is a call back API for /api/hiecm/hip/v3/link/context/notify used to notify the HIP. to
/api/v3/links/context/on-notify. Open the callback.